AssetManagement::Engine.routes.draw do

  # Custom routes
  get 'view/original(/*filepath(.:format))', :as => 'original', :to => 'view#original', :defaults => { :filepath => nil, :format => nil }
  get 'view/thumbnail(/*filepath(.:format))', :as => 'thumbnail', :to => 'view#thumbnail', :defaults => { :filepath => nil, :format => nil }
  get 'view/flickr_thumbnail(/*filepath(.:format))', :as => 'flickr_thumbnail', :to => 'view#flickr_thumbnail', :defaults => { :filepath => nil, :format => nil }
  get 'view/scaled(/:size/*filepath(.:format))', :as => 'scaled', :to => 'view#scaled', :defaults => { :filepath => nil, :format => nil }
  get 'view/scale(/:magnification/*filepath(.:format))', :as => 'scale', :to => 'view#scale', :defaults => { :filepath => nil, :format => nil }

  #match 'view/jstree_structure', :as => 'jstree_structure', :to => 'view#jstree_structure', :defaults => { :format => nil }

  resources :asset_data, :as => :asset_data
  resources :virtual_folders

  get 'dashboard' => 'dashboard#index'

  get 'javascripts/:action', :controller => :javascripts, :as => :javascripts, :defaults => { :format => :js }

  #match ':controller(/:action(/:id))', :controller => /asset_management\/[^\/]+/

  root :to => "dashboard#index"
end
