# encoding: utf-8

if ::AssetManagement::VirtualFolder.find_by(:name => ::AssetManagement::VirtualFolder::ROOT).nil?
  vf = ::AssetManagement::VirtualFolder.new(
    :name => ::AssetManagement::VirtualFolder::ROOT,
    :description => "Top-level/Root",
    :parent_folder_id => 1
  )
  vf.save(:validate => false)
  vf.parent_folder = vf
  vf.save(:validate => false)
end

::AssetManagement::VirtualFolder.create(
  :name => 'documents',
  :parent_folder => ::AssetManagement::VirtualFolder.find_by(:name => ::AssetManagement::VirtualFolder::ROOT)
) if ::AssetManagement::VirtualFolder.find_by(:name => 'documents').nil?

::AssetManagement::VirtualFolder.create(
  :name => 'images',
  :parent_folder => ::AssetManagement::VirtualFolder.find_by(:name => ::AssetManagement::VirtualFolder::ROOT)
) if ::AssetManagement::VirtualFolder.find_by(:name => 'images').nil?

::AssetManagement::VirtualFolder.create(
  :name => 'video',
  :parent_folder => ::AssetManagement::VirtualFolder.find_by(:name => ::AssetManagement::VirtualFolder::ROOT)
) if ::AssetManagement::VirtualFolder.find_by(:name => 'video').nil?
